﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FetchPlans.ascx.cs" Inherits="FetchPlans" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
</telerik:RadScriptManager>
<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RadGrid1">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                <telerik:AjaxUpdatedControl ControlID="RadTextBox1" />
                <telerik:AjaxUpdatedControl ControlID="Label1" />
                <telerik:AjaxUpdatedControl ControlID="Label2" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="CheckBox1">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                <telerik:AjaxUpdatedControl ControlID="RadTextBox1" />
                <telerik:AjaxUpdatedControl ControlID="Label1" />
                <telerik:AjaxUpdatedControl ControlID="Label2" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManager>
<!-- content start -->
<div style="font-size: 12px;
    width: 720px;">
    <br />
    <div style="color: #4888A3; font-weight: bold; margin-left: 20px;">
        <asp:Label ID="Label2" runat="server" />
        <br />
    </div>
    <div style="margin: 0px 10px 20px">
        <asp:CheckBox ID="CheckBox1" ForeColor="gray" Text="Use fetch plan" AutoPostBack="true" OnCheckedChanged="CheckBox1_CheckedChanged"
            Style="float: left" runat="server" />
        <asp:Label ID="Label1" Style="float: right; font-weight: bold; color: Red;" runat="server" />
    </div>
</div>
<telerik:RadGrid ID="RadGrid1" Skin="Black" Width="800" AllowPaging="True" AllowSorting="True"
    runat="server" OnNeedDataSource="RadGrid1_NeedDataSource" GridLines="None" OnPageIndexChanged="RadGrid1_PageIndexChanged">
    <MasterTableView AutoGenerateColumns="False">
        <Columns>
            <telerik:GridBoundColumn DataField="OrderID" HeaderText="OrderID" UniqueName="OrderID" />
            <telerik:GridBoundColumn DataField="Freight" HeaderText="Freight" UniqueName="Freight" />
            <telerik:GridBoundColumn DataField="OrderDate" HeaderText="OrderDate" UniqueName="OrderDate" />
            <telerik:GridBoundColumn DataField="RequiredDate" HeaderText="RequiredDate" UniqueName="RequiredDate" />
            <telerik:GridBoundColumn DataField="ShipAddress" HeaderText="ShipAddress" UniqueName="ShipAddress" />
            <telerik:GridBoundColumn DataField="ShipCity" HeaderText="ShipCity" UniqueName="ShipCity" />
            <telerik:GridBoundColumn DataField="ShipCountry" HeaderText="ShipCountry" UniqueName="ShipCountry" />
            <telerik:GridBoundColumn DataField="ShippedDate" HeaderText="ShippedDate" UniqueName="ShippedDate" />
            <telerik:GridBoundColumn DataField="Customer.CompanyName" HeaderText="Customer" UniqueName="Customer.CompanyName" />
            <telerik:GridBoundColumn DataField="Employee.LastName" HeaderText="Employee" UniqueName="Employee.LastName" />
        </Columns>
    </MasterTableView>
    <ClientSettings>
        <Scrolling AllowScroll="True" UseStaticHeaders="True" />
    </ClientSettings>
    <HeaderContextMenu Skin="Black">
        <CollapseAnimation Duration="200" Type="OutQuint" />
    </HeaderContextMenu>
    <FilterMenu Skin="Vista">
        <CollapseAnimation Duration="200" Type="OutQuint" />
    </FilterMenu>
</telerik:RadGrid>
<br />
<telerik:RadTextBox ID="RadTextBox1" Width="800px" Height="150px" BackColor="Gray" TextMode="MultiLine"
    runat="server">
</telerik:RadTextBox>